osmium::Relation Class Reference

`#include <relation.hpp>`

Inheritance diagram for osmium::Relation:
[legend]
Collaboration diagram for osmium::Relation:
[legend]

## Public Member Functions

RelationMemberList & | members ()
const RelationMemberList & | members () const
Public Member Functions inherited from osmium::OSMObject
object_id_type | id () const noexcept
| Get ID of this object. More...
unsigned_object_id_type | positive_id () const noexcept
| Get absolute value of the ID of this object. More...
OSMObject & | set_id (object_id_type id) noexcept
OSMObject & | set_id (const char *id)
bool | deleted () const noexcept
| Is this object marked as deleted? More...
bool | visible () const noexcept
| Is this object marked visible (ie not deleted)? More...
OSMObject & | set_deleted (bool deleted) noexcept
OSMObject & | set_visible (bool visible) noexcept
OSMObject & | set_visible (const char *visible)
object_version_type | version () const noexcept
| Get version of this object. More...
OSMObject & | set_version (object_version_type version) noexcept
OSMObject & | set_version (const char *version)
changeset_id_type | changeset () const noexcept
| Get changeset id of this object. More...
OSMObject & | set_changeset (changeset_id_type changeset) noexcept
OSMObject & | set_changeset (const char *changeset)
user_id_type | uid () const noexcept
| Get user id of this object. More...
OSMObject & | set_uid (user_id_type uid) noexcept
OSMObject & | set_uid_from_signed (signed_user_id_type uid) noexcept
OSMObject & | set_uid (const char *uid)
bool | user_is_anonymous () const noexcept
| Is this user anonymous? More...
osmium::Timestamp | timestamp () const noexcept
| Get timestamp when this object last changed. More...
OSMObject & | set_timestamp (const osmium::Timestamp &timestamp) noexcept
const char * | user () const noexcept
| Get user name for this object. More...
const TagList & | tags () const
| Get the list of tags for this object. More...
const char * | get_value_by_key (const char *key, const char *default_value=nullptr) const noexcept
void | set_attribute (const char *attr, const char *value)
iterator | begin ()
iterator | end ()
const_iterator | cbegin () const
const_iterator | cend () const
const_iterator | begin () const
const_iterator | end () const
template<typename T >
t_iterator< T > | begin ()
template<typename T >
t_iterator< T > | end ()
template<typename T >
t_const_iterator< T > | cbegin () const
template<typename T >
t_const_iterator< T > | cend () const
template<typename T >
t_const_iterator< T > | begin () const
template<typename T >
t_const_iterator< T > | end () const
Public Member Functions inherited from osmium::OSMEntity
| OSMEntity (osmium::memory::item_size_type size, osmium::item_type type)
bool | type_is_in (osmium::osm_entity_bits::type entity_bits) const
Public Member Functions inherited from osmium::memory::Item
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (bool removed) noexcept

## Static Public Attributes

static constexpr osmium::item_type | itemtype = osmium::item_type::relation

## Private Member Functions

| Relation () noexcept

## Friends

class | osmium::builder::ObjectBuilder< osmium::Relation >

## Additional Inherited Members

Public Types inherited from osmium::OSMObject
typedef osmium::memory::CollectionIterator< Item > | iterator
typedef osmium::memory::CollectionIterator< const Item > | const_iterator
template<typename T >
using | t_iterator = osmium::memory::ItemIterator< T >
template<typename T >
using | t_const_iterator = osmium::memory::ItemIterator< const T >
Protected Member Functions inherited from osmium::OSMObject
| OSMObject (osmium::memory::item_size_type size, osmium::item_type type)
void | set_user_size (string_size_type size)
Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type()) noexcept
| Item (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (const Item &)=delete
Item & | operator= (Item &&)=delete
Item & | set_type (const item_type item_type) noexcept

## Constructor & Destructor Documentation

osmium::Relation::Relation | ( |  | ) |

inline private noexcept

## Member Function Documentation

RelationMemberList& osmium::Relation::members | ( |  | ) |

inline

const RelationMemberList& osmium::Relation::members | ( |  | ) | const

inline

## Friends And Related Function Documentation

friend class osmium::builder::ObjectBuilder< osmium::Relation >

friend

## Member Data Documentation

constexpr osmium::item_type osmium::Relation::itemtype = osmium::item_type::relation

static

The documentation for this class was generated from the following file:

- osmium/osm/relation.hpp